package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedNonavFund;
import com.tanpu.fund.entity.generator.IfaImportedNonavFundExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface IfaImportedNonavFundMapper {
    long countByExample(IfaImportedNonavFundExample example);

    int deleteByExample(IfaImportedNonavFundExample example);

    int deleteByPrimaryKey(String id);

    int insert(IfaImportedNonavFund record);

    int insertOrUpdate(IfaImportedNonavFund record);

    int insertOrUpdateSelective(IfaImportedNonavFund record);

    int insertSelective(IfaImportedNonavFund record);

    List<IfaImportedNonavFund> selectByExample(IfaImportedNonavFundExample example);

    IfaImportedNonavFund selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") IfaImportedNonavFund record, @Param("example") IfaImportedNonavFundExample example);

    int updateByExample(@Param("record") IfaImportedNonavFund record, @Param("example") IfaImportedNonavFundExample example);

    int updateByPrimaryKeySelective(IfaImportedNonavFund record);

    int updateByPrimaryKey(IfaImportedNonavFund record);

    int updateBatch(List<IfaImportedNonavFund> list);

    int updateBatchSelective(List<IfaImportedNonavFund> list);

    int batchInsert(@Param("list") List<IfaImportedNonavFund> list);
}
